Bug 1314586 - limited performance gain for small-file workloads on tiered volumes
limited performance gain for small-file workloads on tiered volumes
Status: ASSIGNED
Product: GlusterFS
Classification: Community
Component: tiering (Show other bugs)
mainline
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Lambright
bugs@gluster.org
tier-performance
: Performance, ZStream
Depends On: 1292391
Blocks: 1427783
  Show dependency treegraph
 
Reported: 2016-03-03 19:47 EST by Dan Lambright
Modified: 2017-03-01 03:47 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1292391
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Vijay Bellur 2016-03-03 20:12:23 EST
REVIEW: http://review.gluster.org/13601 (cluster/tier: WIP optimize lookups for tiering) posted (#1) for review on master by Dan Lambright (dlambrig@redhat.com)
Comment 2 Vijay Bellur 2016-04-17 12:44:23 EDT
REVIEW: http://review.gluster.org/13601 (cluster/tier: WIP optimize lookups for tiering) posted (#2) for review on master by Dan Lambright (dlambrig@redhat.com)
Comment 3 Vijay Bellur 2016-04-26 13:20:39 EDT
REVIEW: http://review.gluster.org/13601 (cluster/tier: optimize lookups for tiering) posted (#3) for review on master by Dan Lambright (dlambrig@redhat.com)
Comment 4 Vijay Bellur 2016-05-02 15:41:35 EDT
REVIEW: http://review.gluster.org/13601 (cluster/tier: WIP optimize lookups for tiering) posted (#4) for review on master by Dan Lambright (dlambrig@redhat.com)
Comment 5 Michael Adam 2016-08-23 15:43:58 EDT
I think the dependency between upstream and downstream bug is reversed here:

- This (bug #1314586) is the upstream bug.
- Bug #1292391 is the downstream bug.

we have:

- upstream bug depends on downstream bug.

which makes no sense, imho, since we first
need to fix the bug upstream before we can
port the fix to downstream. Hence we should have:

- downstream bug depends on upstream bug.

my 2 cents.

Note You need to log in before you can comment on or make changes to this bug.